Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Efraim Flashner <[email-masked]>
Date: Sun, 31 May 2020 10:55:32 +0300

On Sun, May 31, 2020 at 09:39:23AM +0200, Pierre Neidhardt wrote:
> Now that 37305 is merged, we can revisit this issue.
> 
> 1. This patch only includes a documentation update.
> 2. We could make Btrfs the default in the graphical installer.
> 3. We would probably need to update the tests, at least for the latter.
> 
> As mentioned above, I think it's safe to enable Btrfs without subvolume,
> with Zstd compression.
> 
> For subvolumes, we would need to implement the corresponding tests.
> 
> Thoughts?

My main concern is the possibility of data loss. I don't know how much
is FUD and how much is legit so to me it seems safest to see what
OpenSuSE uses and to mimic that a bit (in terms of not using most of the
features available).

That said, I use btrfs with no subvolumes with compression turned on and
I'm pretty happy with that.

Two more things:
/var/guix/db should probably have CoW disabled, as should /tmp
would the deduplication of btrfs be "better" than the deduplication from
the daemon?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted